Bug 1275059 - Graphic hangup in nouveau driver: read fault PAGE_NOT_PRESENT
Graphic hangup in nouveau driver: read fault PAGE_NOT_PRESENT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
22
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-25 09:37 EDT by David Tonhofer
Modified: 2016-07-19 14:20 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:20:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Tonhofer 2015-10-25 09:37:57 EDT
Description of problem:
=======================

Fedora 22, KDE.

Graphic hangup today (the audio continues to play and connecting a new keyboard is well registered in the kernel log, but video is completely frozen and CTRL-ALT-Fx does not give a command line ... maybe it does it that fact doesn't reach the video ... so a hard reset is needed)

In the kernel log:

 kernel: nouveau E[plasmashell[1771]] fail set_domain
 kernel: nouveau E[plasmashell[1771]] validating bo list
 kernel: nouveau E[plasmashell[1771]] validate: -22
 kernel: nouveau E[plasmashell[1771]] fail set_domain
 kernel: nouveau E[plasmashell[1771]] validating bo list
 kernel: nouveau E[plasmashell[1771]] validate: -22
 kernel: nouveau E[   PFIFO][0000:02:00.0] read fault at 0x00011b1000 [PAGE_NOT_PRESENT] from PGRAPH/GPC0/TEX on channel 0x003faad000 [plasmashell[1771]]
 kernel: nouveau E[   PFIFO][0000:02:00.0] PGRAPH engine fault on channel 7, recovering...
 kernel: nouveau E[  PGRAPH][0000:02:00.0] TRAP ch 7 [0x003faad000 plasmashell[1771]]
 kernel: nouveau E[  PGRAPH][0000:02:00.0] GPC0/TPC0/TEX: 0x80000049

This happened right after I had dumped a directory into the wastebasket and the notification about "moving finished" had popped up (it was still visible on the frozen screen)

Hardware is

02:00.0 VGA compatible controller: NVIDIA Corporation GF119 [GeForce GT 610] (rev a1)

Yesterday a bunch of KDE packages got updated from 5.14.0 to 5.15.0, plasma packages went from 5.4.1 to 5.4.2.

We will see whether it reappears.
Comment 1 John Schmitt 2015-10-26 18:30:06 EDT
I see something similar with openbox, though my display doesn't actually hang.  The symptom I see is that the chromium browser messes up its display.

                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
[360028.310839] nouveau E[  PGRAPH][0000:02:00.0] magic set 0:                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
[360028.310844] nouveau E[  PGRAPH][0000:02:00.0]       0x00408904: 0x20084b05                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
[360028.310846] nouveau E[  PGRAPH][0000:02:00.0]       0x00408908: 0x002059c4                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
[360028.310848] nouveau E[  PGRAPH][0000:02:00.0]       0x0040890c: 0x40000432                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
[360028.310850] nouveau E[  PGRAPH][0000:02:00.0]       0x00408910: 0x59b00000                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
[360028.310852] nouveau E[  PGRAPH][0000:02:00.0] TRAP_TEXTURE - TP0:  FAULT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
[360028.310857] nouveau E[  PGRAPH][0000:02:00.0] ch 5 [0x000f7d0000 chromium-browse[30222]] subc 3 class 0x8297 mthd 0x0f04 data 0x00000000                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
[360028.310867] nouveau E[     PFB][0000:02:00.0] trapped read at 0x002059c400 on channel 0x0000f7d0 [chromium-browse[30222]] PGRAPH/TEXTURE/00 reason: PAGE_NOT_PRESENT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
[360028.310881] nouveau E[  PGRAPH][0000:02:00.0] magic set 0:                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
[360028.310883] nouveau E[  PGRAPH][0000:02:00.0]       0x00408904: 0x20090e0a                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
[360028.310886] nouveau E[  PGRAPH][0000:02:00.0]       0x00408908: 0x00277d85                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
[360028.310888] nouveau E[  PGRAPH][0000:02:00.0]       0x0040890c: 0x40000432                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
[360028.310890] nouveau E[  PGRAPH][0000:02:00.0]       0x00408910: 0x7a600000                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
[360028.310891] nouveau E[  PGRAPH][0000:02:00.0] TRAP_TEXTURE - TP0:  FAULT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
[360028.310895] nouveau E[  PGRAPH][0000:02:00.0] ch 5 [0x000f7d0000 chromium-browse[30222]] subc 3 class 0x8297 mthd 0x0f04 data 0x00000000                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
[360028.310904] nouveau E[     PFB][0000:02:00.0] trapped read at 0x00277c9a00 on channel 0x0000f7d0 [chromium-browse[30222]] PGRAPH/TEXTURE/00 reason: PAGE_NOT_PRESENT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
[360028.310918] nouveau E[  PGRAPH][0000:02:00.0] magic set 0:                                                                                                            

...

                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
[360068.943521] nouveau E[     PFB][0000:02:00.0] trapped read at 0x002059b000 on channel 0x0000f4d8 [chrome[16247]] PGRAPH/TEXTURE/00 reason: PAGE_NOT_PRESENT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
[360068.961614] nouveau E[     PFB][0000:02:00.0] trapped read at 0x002059b000 on channel 0x0000f4d8 [chrome[16247]] PGRAPH/TEXTURE/00 reason: PAGE_NOT_PRESENT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
[360069.042386] nouveau E[     PFB][0000:02:00.0] trapped read at 0x002059b000 on channel 0x0000f7d0 [chromium-browse[30222]] PGRAPH/TEXTURE/00 reason: PAGE_NOT_PRESENT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
[360074.939600] nouveau E[chromium-browse[30222]] fail set_domain                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
[360074.939604] nouveau E[chromium-browse[30222]] validating bo list                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
[360074.939606] nouveau E[chromium-browse[30222]] validate: -22                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
[360178.812723] nouveau E[chromium-browse[30222]] fail set_domain                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
[360178.812728] nouveau E[chromium-browse[30222]] validating bo list                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
[360178.812730] nouveau E[chromium-browse[30222]] validate: -22                                                                                                             

02:00.0 VGA compatible controller: NVIDIA Corporation G98 [Quadro NVS 295] (rev a1) (prog-if 00 [VGA controller])                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
        Subsystem: NVIDIA Corporation Device 062e                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
        Flags: bus master, fast devsel, latency 0, IRQ 28                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
        Memory at f6000000 (32-bit, non-prefetchable) [size=16M]                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
        Memory at ec000000 (64-bit, prefetchable) [size=64M]                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
        Memory at f4000000 (64-bit, non-prefetchable) [size=32M]                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
        I/O ports at dc80 [size=128]                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
        Expansion ROM at f7e00000 [disabled] [size=128K]                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
        Capabilities: [60] Power Management version 3                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
        Capabilities: [68] MSI: Enable+ Count=1/1 Maskable- 64bit+                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
        Capabilities: [78] Express Endpoint, MSI 00                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        Capabilities: [100] Virtual Channel                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
        Capabilities: [128] Power Budgeting <?>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
        Capabilities: [600] Vendor Specific Information: ID=0001 Rev=1 Len=024 <?>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
        Kernel driver in use: nouveau                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
        Kernel modules: nouveau
Comment 2 Fedora End Of Life 2016-07-19 14:20:17 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.